CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Typedefs
Graphics/Types.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct sfCircleShape | sfCircleShape
typedef struct sfConvexShape | sfConvexShape
typedef struct sfFont | sfFont
typedef struct sfImage | sfImage
typedef struct sfShader | sfShader
typedef struct sfRectangleShape | sfRectangleShape
typedef struct sfRenderTexture | sfRenderTexture
typedef struct sfRenderWindow | sfRenderWindow
typedef struct sfShape | sfShape
typedef struct sfSprite | sfSprite
typedef struct sfText | sfText
typedef struct sfTexture | sfTexture
typedef struct sfTransformable | sfTransformable
typedef struct sfVertexArray | sfVertexArray
typedef struct sfView | sfView

## Typedef Documentation

typedef struct sfCircleShape sfCircleShape

Definition at line 29 of file Graphics/Types.h.

typedef struct sfConvexShape sfConvexShape

Definition at line 30 of file Graphics/Types.h.

typedef struct sfFont sfFont

Definition at line 31 of file Graphics/Types.h.

typedef struct sfImage sfImage

Definition at line 32 of file Graphics/Types.h.

typedef struct sfRectangleShape sfRectangleShape

Definition at line 34 of file Graphics/Types.h.

typedef struct sfRenderTexture sfRenderTexture

Definition at line 35 of file Graphics/Types.h.

typedef struct sfRenderWindow sfRenderWindow

Definition at line 36 of file Graphics/Types.h.

typedef struct sfShader sfShader

Definition at line 33 of file Graphics/Types.h.

typedef struct sfShape sfShape

Definition at line 37 of file Graphics/Types.h.

typedef struct sfSprite sfSprite

Definition at line 38 of file Graphics/Types.h.

typedef struct sfText sfText

Definition at line 39 of file Graphics/Types.h.

typedef struct sfTexture sfTexture

Definition at line 40 of file Graphics/Types.h.

typedef struct sfTransformable sfTransformable

Definition at line 41 of file Graphics/Types.h.

typedef struct sfVertexArray sfVertexArray

Definition at line 42 of file Graphics/Types.h.

typedef struct sfView sfView

Definition at line 43 of file Graphics/Types.h.